Bug 1147963 - JENKINS script for showing failed jobs is not working
Summary: JENKINS script for showing failed jobs is not working
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: jenkins
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-30 12:15 UTC by Amita Sharma
Modified: 2015-12-02 16:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 04:03:54 UTC


Attachments (Terms of Use)

Description Amita Sharma 2014-09-30 12:15:43 UTC
Description of problem:
JENKINS script for showing failed jobs is not working

Version-Release number of selected component (if applicable):

[root@dhcp201-185 ~]# rpm -qa | grep jenkins
jenkins-icon-shim-1.0.3-1.fc21.noarch
js-yui2-jenkins-2.9.0-6.fc21.noarch
jenkins-task-reactor-1.4-2.fc21.noarch
jenkins-external-monitor-job-plugin-1.2-1.fc21.noarch
jenkins-javadoc-plugin-1.2-1.fc21.noarch
jenkins-commons-jelly-1.1.20120928-6.fc21.noarch
jenkins-instance-identity-1.3-4.fc21.noarch
jenkins-sshd-1.6-4.fc21.noarch
jenkins-1.581-2.fc21.noarch
jenkins-ant-plugin-1.2-1.fc21.noarch
jenkins-executable-war-1.29-3.fc21.noarch
jenkins-xstream-1.4.7-3.jenkins1.fc21.noarch
trilead-ssh2-217-4.jenkins4.fc21.noarch
jenkins-ssh-cli-auth-1.2-4.fc21.noarch
jenkins-core-1.581-2.fc21.noarch
jenkins-remoting-2.43-1.fc21.noarch
jenkins-json-lib-2.4-7.fc21.noarch
jenkins-junit-plugin-1.1-1.fc21.noarch
jenkins-mailer-plugin-1.11-1.fc21.noarch
jenkins-extras-memory-monitor-1.8-1.fc21.noarch
jenkins-crypto-util-1.4-2.fc21.noarch
jenkins-version-number-1.1-4.fc21.noarch
jenkins-webapp-1.581-2.fc21.noarch
jenkins-winstone-2.3-1.fc21.noarch
jenkins-jexl-1.1-3.20111212.fc21.noarch
jenkins-cli-1.581-2.fc21.noarch

How reproducible:
Always

Steps to Reproduce:
1.go to https://wiki.jenkins-ci.org/display/JENKINS/Failed+Jobs
2. copy script and paste in localhost:8080/script


Actual results: 
It does not display anything in output.
Result

Result: []


Expected results:
It should display all failed jobs

Additional info:
I had failed jobs in my jenkins

Comment 1 Vojtech Juranek 2014-09-30 12:57:01 UTC
hm, works for me. Are there any failed jobs which has failed the last build? The script shows only jobs which has failed the last build.

Comment 2 Fedora End Of Life 2015-11-04 15:06:06 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-12-02 04:03:57 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.